Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlai.client
Class AppViewRuntimeInfo

    java.lang.Object
      |
      +--com.bea.wlai.client.AppViewRuntimeInfo

public class AppViewRuntimeInfo
extends java.lang.Object
implements java.io.Serializable

Represents information from the AppViewRuntime MBean.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Method Summary
`boolean` | `compare(java.lang.Object myProperty, java.lang.Object otherProperty)`
`boolean` | `equals(java.lang.Object other)`
`java.lang.String` | `getAppViewName()`
`java.lang.Integer` | `getAsyncServiceCount()`
`java.lang.Integer` | `getClientCount()`
`java.lang.Integer` | `getEventCount()`
`java.lang.Integer` | `getEventErrorCount()`
`java.lang.Integer` | `getServiceCount()`
`java.lang.Integer` | `getServiceErrorCount()`
`int` | `hashCode()`
`void` | `setAppViewName(java.lang.String appViewName)`
`void` | `setAsyncServiceCount(java.lang.Integer count)`
`void` | `setClientCount(java.lang.Integer count)`
`void` | `setEventCount(java.lang.Integer count)`
`void` | `setEventErrorCount(java.lang.Integer errorCount)`
`void` | `setServiceCount(java.lang.Integer count)`
`void` | `setServiceErrorCount(java.lang.Integer errorCount)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### getEventErrorCount

    public java.lang.Integer getEventErrorCount()

### setEventErrorCount

    public void setEventErrorCount(java.lang.Integer errorCount)

### getServiceErrorCount

    public java.lang.Integer getServiceErrorCount()

### setServiceErrorCount

    public void setServiceErrorCount(java.lang.Integer errorCount)

### getClientCount

    public java.lang.Integer getClientCount()

### setClientCount

    public void setClientCount(java.lang.Integer count)

### getServiceCount

    public java.lang.Integer getServiceCount()

### setServiceCount

    public void setServiceCount(java.lang.Integer count)

### getEventCount

    public java.lang.Integer getEventCount()

### setEventCount

    public void setEventCount(java.lang.Integer count)

### getAsyncServiceCount

    public java.lang.Integer getAsyncServiceCount()

### setAsyncServiceCount

    public void setAsyncServiceCount(java.lang.Integer count)

### getAppViewName

    public java.lang.String getAppViewName()

### setAppViewName

    public void setAppViewName(java.lang.String appViewName)

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

### hashCode

    public int hashCode()

  Overrides:
    hashCode in class java.lang.Object

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    equals in class java.lang.Object

### compare

    public final boolean compare(java.lang.Object myProperty,
                                 java.lang.Object otherProperty)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)